Zapier
Get Zapier commitment field definitions
Returns the union of donor and recipient custom-field definitions used across the organization programs, plus the standardized donor field contract. Integrations can use these definitions to configure custom-field mappings before polling commitments.
GET
/
zapier
/
triggers
/
commitments
/
fields
Get Zapier commitment field definitions
curl --request GET \
--url https://api.gratona.com/v3/zapier/triggers/commitments/fields \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.gratona.com/v3/zapier/triggers/commitments/fields"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.gratona.com/v3/zapier/triggers/commitments/fields', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.gratona.com/v3/zapier/triggers/commitments/fields",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.gratona.com/v3/zapier/triggers/commitments/fields"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.gratona.com/v3/zapier/triggers/commitments/fields")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gratona.com/v3/zapier/triggers/commitments/fields")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"donor_fields": [
{
"field_key": "example",
"field_label": "example",
"field_type": "example",
"required": "<unknown>"
}
],
"entity_fields": [
{
"field_key": "example",
"field_label": "example",
"field_type": "example",
"required": "<unknown>"
}
],
"visible_standard_field_keys": [
"<string>"
],
"required_standard_field_keys": [
"<string>"
],
"standard_field_contract": {
"version": 1,
"fields": [
{}
]
}
}{
"message": "Unauthorized",
"status": "error"
}{
"success": false,
"errors": [
{
"code": "INSUFFICIENT_SCOPE",
"message": "Required scope is missing.",
"required_scope": "schema:read",
"available_scopes": [
"<string>"
],
"required_permission_groups": [
[
"<string>"
]
]
}
]
}Authorizations
bearerAuthapiKeyAuth
Passport bearer token authentication for legacy admin sessions.
Response
Commitment mapping field contract.
Distinct donor field definitions across program donor forms.
Show child attributes
Show child attributes
Distinct recipient field definitions across program recipient forms.
Show child attributes
Show child attributes
Compatibility list; currently empty.
Compatibility list; currently empty.
Standard donor field definition version and serialized registry entries.
Show child attributes
Show child attributes
⌘I
Get Zapier commitment field definitions
curl --request GET \
--url https://api.gratona.com/v3/zapier/triggers/commitments/fields \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.gratona.com/v3/zapier/triggers/commitments/fields"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.gratona.com/v3/zapier/triggers/commitments/fields', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.gratona.com/v3/zapier/triggers/commitments/fields",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.gratona.com/v3/zapier/triggers/commitments/fields"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.gratona.com/v3/zapier/triggers/commitments/fields")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gratona.com/v3/zapier/triggers/commitments/fields")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"donor_fields": [
{
"field_key": "example",
"field_label": "example",
"field_type": "example",
"required": "<unknown>"
}
],
"entity_fields": [
{
"field_key": "example",
"field_label": "example",
"field_type": "example",
"required": "<unknown>"
}
],
"visible_standard_field_keys": [
"<string>"
],
"required_standard_field_keys": [
"<string>"
],
"standard_field_contract": {
"version": 1,
"fields": [
{}
]
}
}{
"message": "Unauthorized",
"status": "error"
}{
"success": false,
"errors": [
{
"code": "INSUFFICIENT_SCOPE",
"message": "Required scope is missing.",
"required_scope": "schema:read",
"available_scopes": [
"<string>"
],
"required_permission_groups": [
[
"<string>"
]
]
}
]
}